Summary:	Python bindings to GNU adns
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GNU adns
Name:		python-adns
Version:	1.2.1
Release:	4
License:	GPL v2+
Group:		Libraries/Python
Source0:	http://adns-python.googlecode.com/files/adns-python-%{version}.tar.gz
# Source0-md5:	12cc7ad1b0ee8d818005e9ca4def758b
URL:		http://code.google.com/p/adns-python/
%pyrequires_eq	python
BuildRequires:	adns-devel >= 1.4
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Interface to GNU adns library.

%description -l pl.UTF-8
Interfejs do biblioteki GNU adns.

%prep
%setup -q -n adns-python-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

%py_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py?
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-adns.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 966fc67
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3226fc2
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 4d54e44
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 04c9df0
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b418a95
- release 2

* Tue Jun 05 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b28e08
- obsolete

* Tue Jun 05 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ea0e52
- up to 1.2.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bfd2759
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 725e75a
- converted to UTF-8

* Fri Jan 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 6003a0d
- outdated

* Mon Jan 08 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 620d41d
- rel 2; fix freeing object (caused segfault)

* Mon Jan 08 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a8a3ff
- correctly free object.

* Mon Jan 08 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 52382c4
- up to 1.2.0

* Mon Jan 08 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> be0e446
- up to 1.1.1

* Fri Sep 01 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 57f7960
- new

* Fri Sep 01 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 5383a61
- rel 5; fix build

* Mon Aug 28 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 272de73
- rel 4; rebuild

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 2103c42
- mass commit: remove obsolete BR: rpm-pythonprov

* Thu Dec 23 2004 saq <saq@pld-linux.org> ef3fd1c
- release 3 for rebuild with python 2.4

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 3bab5ba
- removed %%include /usr/lib/rpm/macros.python

